QGIS Application - Bug report #9601
Point displacement: data defined size and angle does not work
2014-02-19 04:43 AM - Per Gammerath

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18179
Description

Point symbols can be angled through Data Defined Properties, but this function does not work with Point Displacement. Only point
symbols that have not been displaced, are angled as prescribed. The Size property works though.
Is this a bug? And when can this be fixed?

Associated revisions

Revision a6f96ba5 - 2016-06-16 03:03 PM - Nyall Dawson

Fix displacement symbols with data defined properties (fix #9601)

Previously only the attributes of the first feature were being

used to render the points inside a group

Revision c33b7adc - 2016-07-01 10:42 AM - Nyall Dawson

Fix displacement symbols with data defined properties (fix #9601)

Previously only the attributes of the first feature were being

used to render the points inside a group

(cherry-picked from a6f96ba51b736cc97b3d8d6a848940737a46a6bc)

History

#1 - 2014-02-19 11:29 AM - Giovanni Manghi

- Subject changed from Point displacement angles to Point displacement: data defined size and angle does not work
- Target version set to Version 2.2

- Priority changed from High to Normal

- Category set to Symbology

- Affected QGIS version changed from 2.0.1 to master

| can confirm the issue also for the size. It seems that for both the rotation and size the value used is the one of the first feature of the cluster, that is applied
to all others.

PS

about "when": it depends, if it critical for you to have it fixed soon better have a look to the qgis page where are listed the companies that offer commercial
support.
#2 - 2014-02-19 12:05 PM - Per Gammerath

Thank you for acknowledging the issue. | hope that it can be fixed in the next version. Actually, | would also hope to see some more options in the

Displacement panel. Fx an option to add a leader from the origin to the displaced point, like in Google earth.

#3 - 2014-06-28 07:36 AM - Jiirgen Fischer

- Target version changed from Version 2.2 to Future Release - Lower Priority

#4 - 2016-06-16 06:04 AM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"a6f96ba51b736cc97b3d8d6a848940737a46a6bc".
